--local cam = require "cam" --Should pull in the camera code...in theory anyway



function love.load()

	cam = require "cam" --Should pull in the camera code...in theory anyway


	coinTing = love.audio.newSource("Sounds/CoinUp.mp3", "static")

	player = { -- This is the player set.

	x = 0,
	y = 0,
	yVelocity = 0,
	jetpackFuel = 0.5,
	jetpackFuelMax =0.5,
	speed = 200,
	speedMin = 200,

	image = love.graphics.newImage("Images/HamsterBall.png") -- player sprite

	}

	winW, winH = love.graphics.getWidth(), love.graphics.getHeight() --get the width and height of the image

	gravity = 600
	jumpHeight = 300


end


function love.update(dt)
	
	if player.jetpackFuel > 0 and love.keyboard.isDown(" ") then 
		player.jetpackFuel = player.jetpackFuel - dt 
		player.yVelocity = player.yVelocity + jumpHeight * (dt / player.jetpackFuelMax)
	end

	if  love.keyboard.isDown("z") then 
		player.speed = 300 
	else 
		player.speed = player.speedMin 
    end 

	if love.keyboard.isDown("right") then 
		player.x = player.x + player.speed * dt
	

	elseif love.keyboard.isDown ("left") then 
		player.x = player.x - player.speed * dt 
		
	end


	if player.yVelocity ~= 0 then --we're probably jumping
		player.y = player.y + player.yVelocity * dt --dt sould sustain the speed at which we move
		player.yVelocity = player.yVelocity - gravity * dt  
		if player.y < 0 then --we hit the ground again
			player.yVelocity = 0
			player.y = 0
			player.jetpackFuel = player.jetpackFuelMax
		end
	end 

end

function love.keypressed( key )
	if key == " " then 
		if player.yVelocity == 0 then -- we're probably on the ground, let's jump
			player.yVelocity = jumpHeight
		end 
	end 
end



function love.draw()
    --love.graphics.rectangle('fill', 0, winH /2 , winW, winH / 2)
    --love.graphics.translate( winW / 2, winH/ 2) --centres the translate
    love.graphics.translate( 200, 200) 
    love.graphics.draw(player.image, player.x, -player.y, 0, 1, 1, 64, 103) 
    print (cam.test)


end    